# Class Constants

java.lang.Object
org.apache.coyote.http11.Constants

public final class Constants extends Object
Constants.

Author:
  Remy Maucherat

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte[]`
`_200_BYTES`
`static final byte[]`
`_400_BYTES`
`static final byte[]`
`_404_BYTES`
`static final byte`
`a`
'a'.
`static final byte`
`A`
'A'.
`static final byte[]`
`ACK_BYTES`
`static final int`
`BUFFERED_FILTER`
Buffered filter (input)
`static final String`
`CHUNKED`
`static final int`
`CHUNKED_FILTER`
Chunked filters (input and output).
`static final String`
`CLOSE`
`static final byte[]`
`CLOSE_BYTES`
Deprecated.
Unused.
`static final byte`
`COLON`
COLON.
`static final String`
`CONNECTION`
`static final byte`
`CR`
CR.
`static final String`
`CRLF`
CRLF.
`static final int`
`DEFAULT_CONNECTION_TIMEOUT`
`static final int`
`GZIP_FILTER`
GZIP filter (output).
`static final byte`
`HT`
HT.
`static final String`
`HTTP_10`
HTTP/1.0.
`static final String`
`HTTP_11`
HTTP/1.1.
`static final byte[]`
`HTTP_11_BYTES`
`static final int`
`IDENTITY_FILTER`
Identity filters (input and output).
`static final String`
`KEEP_ALIVE_HEADER_NAME`
`static final String`
`KEEP_ALIVE_HEADER_VALUE_TOKEN`
`static final String`
`KEEPALIVE`
Deprecated.
Unused.
`static final byte[]`
`KEEPALIVE_BYTES`
Deprecated.
Unused.
`static final byte`
`LC_OFFSET`
Lower case offset.
`static final byte`
`LF`
LF.
`static final byte`
`QUESTION`
'?'.
`static final byte`
`SEMI_COLON`
SEMI_COLON.
`static final byte`
`SP`
SP.
`static final String`
`TRANSFERENCODING`
`static final int`
`VOID_FILTER`
Void filters (input and output).
`static final byte`
`Z`
'Z'.

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CONNECTION_TIMEOUT

public static final int DEFAULT_CONNECTION_TIMEOUT

See Also:
  - Constant Field Values

### CRLF

public static final String CRLF
CRLF.

See Also:
  - Constant Field Values

### CR

public static final byte CR
CR.

See Also:
  - Constant Field Values

### LF

public static final byte LF
LF.

See Also:
  - Constant Field Values

### SP

public static final byte SP
SP.

See Also:
  - Constant Field Values

### HT

public static final byte HT
HT.

See Also:
  - Constant Field Values

### COLON

public static final byte COLON
COLON.

See Also:
  - Constant Field Values

### SEMI_COLON

public static final byte SEMI_COLON
SEMI_COLON.

See Also:
  - Constant Field Values

### A

public static final byte A
'A'.

See Also:
  - Constant Field Values

### a

public static final byte a
'a'.

See Also:
  - Constant Field Values

### Z

public static final byte Z
'Z'.

See Also:
  - Constant Field Values

### QUESTION

public static final byte QUESTION
'?'.

See Also:
  - Constant Field Values

### LC_OFFSET

public static final byte LC_OFFSET
Lower case offset.

See Also:
  - Constant Field Values

### CONNECTION

public static final String CONNECTION

See Also:
  - Constant Field Values

### CLOSE

public static final String CLOSE

See Also:
  - Constant Field Values

### CLOSE_BYTES

@Deprecated public static final byte[] CLOSE_BYTES
Deprecated.
Unused. Will be removed in Tomcat 10.

### KEEPALIVE

@Deprecated public static final String KEEPALIVE
Deprecated.
Unused. Will be removed in Tomcat 10.

See Also:
  - Constant Field Values

### KEEP_ALIVE_HEADER_VALUE_TOKEN

public static final String KEEP_ALIVE_HEADER_VALUE_TOKEN

See Also:
  - Constant Field Values

### KEEPALIVE_BYTES

@Deprecated public static final byte[] KEEPALIVE_BYTES
Deprecated.
Unused. Will be removed in Tomcat 10.

### CHUNKED

public static final String CHUNKED

See Also:
  - Constant Field Values

### ACK_BYTES

public static final byte[] ACK_BYTES

### TRANSFERENCODING

public static final String TRANSFERENCODING

See Also:
  - Constant Field Values

### KEEP_ALIVE_HEADER_NAME

public static final String KEEP_ALIVE_HEADER_NAME

See Also:
  - Constant Field Values

### _200_BYTES

public static final byte[] _200_BYTES

### _400_BYTES

public static final byte[] _400_BYTES

### _404_BYTES

public static final byte[] _404_BYTES

### IDENTITY_FILTER

public static final int IDENTITY_FILTER
Identity filters (input and output).

See Also:
  - Constant Field Values

### CHUNKED_FILTER

public static final int CHUNKED_FILTER
Chunked filters (input and output).

See Also:
  - Constant Field Values

### VOID_FILTER

public static final int VOID_FILTER
Void filters (input and output).

See Also:
  - Constant Field Values

### GZIP_FILTER

public static final int GZIP_FILTER
GZIP filter (output).

See Also:
  - Constant Field Values

### BUFFERED_FILTER

public static final int BUFFERED_FILTER
Buffered filter (input)

See Also:
  - Constant Field Values

### HTTP_10

public static final String HTTP_10
HTTP/1.0.

See Also:
  - Constant Field Values

### HTTP_11

public static final String HTTP_11
HTTP/1.1.

See Also:
  - Constant Field Values

### HTTP_11_BYTES

public static final byte[] HTTP_11_BYTES

## Constructor Details

### Constants

public Constants()